using Mall.Common.AOP;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 导航图标实体类
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_MiniProgram_Navicon
    {
        /// <summary>
        /// 主键
        /// </summary>        
        public int NavIconId
        {
            get;
            set;
        }

        /// <summary>
        /// 小程序Id
        /// </summary>        
        public int? MallBaseId
        {
            get;
            set;
        }

        /// <summary>
        /// 导航名称
        /// </summary>        
        public string NavIconName
        {
            get;
            set;
        }

        /// <summary>
        /// 导航图标
        /// </summary>        
        public string NavIconImg
        {
            get;
            set;
        }

        /// <summary>
        /// 导航链接
        /// </summary>        
        public string NavIconUrl
        {
            get;
            set;
        }

        /// <summary>
        /// 导航排序
        /// </summary>        
        public int? NavIconSort
        {
            get;
            set;
        }

        /// <summary>
        /// 导航是否显示(0-显示，1-不显示)
        /// </summary>        
        public int? NavIconIsShow
        {
            get;
            set;
        }

        /// <summary>
        /// 状态(0-正常，1-删除)
        /// </summary>
        public int NavIconStatus { get; set; }
    }
}
